org.apache.lucene.store.db

## Class DbLock

- java.lang.Object
- - org.apache.lucene.store.Lock
  - - org.apache.lucene.store.db.DbLock

-     public class DbLock
      extends org.apache.lucene.store.Lock

  This implementation of `Lock` is trivial as `DbDirectory` operations are managed by the Berkeley DB locking system.

- - ### Nested Class Summary

    - ### Nested classes/interfaces inherited from class org.apache.lucene.store.Lock

      `org.apache.lucene.store.Lock.With`

  - ### Field Summary

    - ### Fields inherited from class org.apache.lucene.store.Lock

      `failureReason, LOCK_OBTAIN_WAIT_FOREVER, LOCK_POLL_INTERVAL`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `DbLock()`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `boolean` | `isLocked()`
    `boolean` | `obtain()`
    `void` | `release()`

    - ### Methods inherited from class org.apache.lucene.store.Lock

      `obtain`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### DbLock

          public DbLock()

  - ### Method Detail

    - #### obtain

          public boolean obtain()

      Specified by:
        `obtain` in class `org.apache.lucene.store.Lock`

    - #### release

          public void release()

      Specified by:
        `release` in class `org.apache.lucene.store.Lock`

    - #### isLocked

          public boolean isLocked()

      Specified by:
        `isLocked` in class `org.apache.lucene.store.Lock`

Copyright © 2000-2016 Apache Software Foundation. All Rights Reserved.